View Issue Details

IDProjectCategoryView StatusLast Update
0000708bareos-core[All Projects] webuipublic2017-06-08 16:05
ReporterhostedpowerAssigned To 
PrioritylowSeveritytweakReproducibilityalways
Status closedResolutionfixed 
PlatformLinuxOSDebianOS Version8
Product Version16.2.4rc 
Fixed in Version 
Summary0000708: New language select feature annoying
Descriptionhi,


The new language feature select is quite annoying. Normally I hit enter and I'm logged in. Now I need to select the language over and over.

A default language like English would be a nice tweak ;)

Don't know what you think guys?
TagsNo tags attached.
bareos-master: impact
bareos-master: action
bareos-19.2: impact
bareos-19.2: action
bareos-18.2: impact
bareos-18.2: action
bareos-17.2: impact
bareos-17.2: action
bareos-16.2: impactyes
bareos-16.2: actionfixed
bareos-15.2: impact
bareos-15.2: action
bareos-14.2: impact
bareos-14.2: action
bareos-13.2: impact
bareos-13.2: action
bareos-12.4: impact
bareos-12.4: action

Relationships

child of 0000698 closedstephand Release bareos-16.2.4 

Activities

joergs

joergs

2016-10-14 12:31

developer   ~0002395

I see this similar.

@Frank: is it possible to use a Cookie at this stage? I know that currently the Browser default language is selected.

For me German is preselected and I'm not aware, of an easy way to change this.

@hostedpower: as the webui does not include Dutch, what language is preselected from your browser?
hostedpower

hostedpower

2016-10-14 12:36

reporter   ~0002397

Hi,


Thanks a log for feedback.

My Browser (IE)

Language:Dutch
Language:nl-be

It doesn't preselect anything. I need to select myself.

I have another browser with English language preference and there it is indeed preselected!

I prefer English at all times to be honest, even if there was a translation :) A lot of people here in Belgium do, it's also easier to do research on the internet in case anything goes wrong.

It would already be a great idea to default to English if language is not in the list :)
frank

frank

2016-10-14 13:35

manager   ~0002400

Fix committed to bareos-webui bareos-16.2 branch with changesetid 6720.

Related Changesets

bareos-webui: bareos-16.2 b29f30dc

2016-10-14 13:30:06

frank

Ported: N/A

Details Diff
Localization: Useability tweak

This sets the default fallback language to english
so users do not have to select a language each time
at login.

Fixes 0000708: New language select feature ...
Affected Issues
0000708
mod - module/Auth/src/Auth/Form/LoginForm.php Diff File

Issue History

Date Modified Username Field Change
2016-10-13 21:12 hostedpower New Issue
2016-10-14 12:26 joergs Assigned To => frank
2016-10-14 12:26 joergs Status new => assigned
2016-10-14 12:31 joergs Note Added: 0002395
2016-10-14 12:36 hostedpower Note Added: 0002397
2016-10-14 13:28 joergs Relationship added child of 0000698
2016-10-14 13:35 frank Changeset attached => bareos-webui bareos-16.2 b29f30dc
2016-10-14 13:35 frank Note Added: 0002400
2016-10-14 13:35 frank Status assigned => resolved
2016-10-14 13:35 frank Resolution open => fixed
2017-06-08 16:05 frank bareos-16.2: impact => yes
2017-06-08 16:05 frank bareos-16.2: action => fixed
2017-06-08 16:05 frank Status resolved => closed
2017-06-08 16:05 frank Assigned To frank =>